> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a partner fee

> This endpoint reads a partner fee.



## OpenAPI

````yaml /openapi/api-production.yaml get /partner-fees/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /partner-fees/{id}:
    get:
      tags:
        - Partner Fees
      summary: Read a partner fee
      description: This endpoint reads a partner fee.
      parameters:
        - name: id
          in: path
          description: Partner fee's unique identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Partner fee successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerFeeResponse'
      security:
        - apiKey: []
components:
  schemas:
    PartnerFeeResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Partner fee's unique identifier.
          example: 123e4567-e89b-12d3-a456-426614174004
        name:
          type: string
          description: Partner fee's name.
          example: Fee name
        walletAddress:
          type: string
          description: Partner's wallet address that will receive the funds.
          example: '0x76b74209f3542d172ca1575b5b18064594360299'
        fees:
          type: object
          description: Partner fee's fees.
          properties:
            onRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: On-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: On-ramp fee flat amount in dollars.
                  example: '1'
            offRamp:
              type: object
              properties:
                rate:
                  type: string
                  description: Off-ramp fee rate in basis points (bps).
                  example: '10'
                flatAmount:
                  type: string
                  description: Off-ramp fee flat amount in dollars.
                  example: '1'
        createdAt:
          type: string
          description: Creation date and time (UTC).
          format: date-time
          example: '2021-01-01T00:00:00Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````